Package twisted :: Package web :: Package woven :: Module utils :: Class WovenLivePage |
[frames | no frames]

## Class WovenLivePage

Method Summary
| `__init__(self, session)`
| ``getCurrentPage`(self)` Return the current page object contained in this session.
| ``hookupInputConduit`(self, obj)` Hook up the given object as the input conduit for this session.
| ``hookupOutputConduit`(self, request)` Hook up the given request as the output conduit for this session.
| ``pushThroughInputConduit`(self, inp)` Push some text through the input conduit.
| `sendScript(self, js)`
| ``setCurrentPage`(self, page)` Set the current page object contained in this session.
| `unhookOutputConduit(self)`
| ``write`(self, text)` Write "text" to the live page's persistent output conduit.

Class Variable Summary
`class` | `__implements__` = `twisted.web.woven.interfaces.IWovenLivePage`
`NoneType` | `currentPage` = None

Method Details

### getCurrentPage(self) Return the current page object contained in this session.

### hookupInputConduit(self, obj) Hook up the given object as the input conduit for this session.

### hookupOutputConduit(self, request) Hook up the given request as the output conduit for this session.

### pushThroughInputConduit(self, inp) Push some text through the input conduit.

### setCurrentPage(self, page) Set the current page object contained in this session.

### write(self, text) Write "text" to the live page's persistent output conduit. If there is no conduit connected yet, save the text and write it as soon as the output conduit is connected.

Class Variable Details

    ### currentPage Type: `NoneType` Value:
        None

Generated by Epydoc 2.0 on Sat Oct 25 00:55:06 2003 | http://epydoc.sf.net